/**
 *
 * \file          gyx1d.h
 * \version       1
 * \date          29-Dec-08
 * \Author        Xiaomeng
 *
*/


#ifndef GYX1D_H
#define GYX1D_H

/*============================================================================*/
/*                       INCLUDE FILES                                        */
/*============================================================================*/
#include "dvb_frontend.h"


#ifdef __cplusplus
extern "C" {
#endif



/*============================================================================*/
/*                       MACRO DEFINITION                                     */
/*============================================================================*/

/*============================================================================*/
/*                       EXTERN DATA DEFINITION                               */
/*============================================================================*/

/*============================================================================*/
/*                       EXTERN FUNCTION PROTOTYPES                           */
/*============================================================================*/
#if defined(CONFIG_DVB_GYX1D) || (defined(CONFIG_DVB_GYX1D_MODULE) && defined(MODULE))
struct dvb_frontend * gyx1d_attach (
        struct dvb_frontend*    fe,
        u8 i2c_addr,
        struct i2c_adapter*     i2c
        );
#else
struct dvb_frontend * gyx1d_attach (
        struct dvb_frontend*    fe,
        u8 i2c_addr,
        struct i2c_adapter*     i2c
        )
{
    printk(KERN_WARNING "%s: driver disabled by Kconfig\n", __FUNCTION__);
    return NULL;
}
#endif

#ifdef __cplusplus
}
#endif

#endif /* GYX1D_H */
/*============================================================================*/
/*                            END OF FILE                                     */
/*============================================================================*/

