#
#                             IP-STB Project
#                   ---------------------------------
#
# Copyright (C) 2009 NXP B.V.
# All Rights Reserved.
#
# Filename  :     build.sh
#
# Build all phKernelIfce related testapps/libs/modules etc for user- and kernel-mode.
#
# Rev Date       Author      Comments
#-------------------------------------------------------------------------------
#   1 20061012   batelaan    Initial
#   2 20061113   batelaan    Don't need to run clean before make anymore now kernel and user
#                            mode results are properly separated by SDE2.
#   3 20061115   G.Lawrance  Add phStbDbg library build to userspace and kernelspace 
#   4 20070208   batelaan    Remove phStbDbg&phKernelIfce from build
#                            (they are currently built into the kernel).
#   5 20070720   batelaan    Add _kmodule_ to _TMDIVERSITY
#   6 20070822   batelaan    Remove duplicate.
#   7 20090122   batelaan    kmodule_install is deprecated.

# Build usermode libraries and apps:
cbuild phKernelIfce/tst/User phKernelIfce/ex/Example1

# Build kernel modules:
cbuild _TMDIVERSITY+=kmodule phKernelIfce/tst/Kmodule phKernelIfce/ex/Example1
