#
#                             IP-STB Project
#                   ---------------------------------
#
# Copyright (C) 2007 NXP Semiconductors B.V.,
# All Rights Reserved.
#
# Filename  :     diversity.mk
#
#
# Rev Date       Author      Comments
#-------------------------------------------------------------------------------
#   1 20061218   batelaan    Initial

# NOTE: setting _phStbDbg_DIVERSITY to _dsp works around a build problem
# with the release: when the dsp linux kernel build tries to link in
# a pre-built (binary release) phStbDbg, built for the control cpu,
# we otherwise get these errors:
# phStbDbg_Module.c:(.text+0x20714): undefined reference to `__kmalloc'
# phStbDbg_Module.c:(.text+0x20714): relocation truncated to fit: R_MIPS_26 against `__kmalloc'
_phStbDbg_DIVERSITY:=$(if $(findstring _dsp_,$(_TMDIVERSITY)),_dsp)
diversity::;
